import { CreateBondCommand } from '../../../src/app/usecase/command/bond/create/CreateBondCommand';
import { SetCouponCommand } from '../../../src/app/usecase/command/bond/coupon/set/SetCouponCommand';
import { UpdateMaturityDateCommand } from '../../../src/app/usecase/command/bond/updateMaturityDate/UpdateMaturityDateCommand';
import { BondDetails } from '../../../src/domain/context/bond/BondDetails';
import { GetCouponQuery } from '../../../src/app/usecase/query/bond/coupons/getCoupon/GetCouponQuery';
import { GetCouponCountQuery } from '../../../src/app/usecase/query/bond/coupons/getCouponCount/GetCouponCountQuery';
import { GetCouponForQuery } from '../../../src/app/usecase/query/bond/coupons/getCouponFor/GetCouponForQuery';
import { GetCouponAmountForQuery } from '../../../src/app/usecase/query/bond/coupons/getCouponAmountFor/GetCouponAmountForQuery';
import { GetPrincipalForQuery } from '../../../src/app/usecase/query/bond/get/getPrincipalFor/GetPrincipalForQuery';
import { GetBondDetailsQuery } from '../../../src/app/usecase/query/bond/get/getBondDetails/GetBondDetailsQuery';
import CreateBondRequest from '../../../src/port/in/request/bond/CreateBondRequest';
import GetBondDetailsRequest from '../../../src/port/in/request/bond/GetBondDetailsRequest';
import SetCouponRequest from '../../../src/port/in/request/bond/SetCouponRequest';
import GetCouponForRequest from '../../../src/port/in/request/bond/GetCouponForRequest';
import GetPrincipalForRequest from '../../../src/port/in/request/bond/GetPrincipalForRequest';
import GetCouponRequest from '../../../src/port/in/request/bond/GetCouponRequest';
import GetAllCouponsRequest from '../../../src/port/in/request/bond/GetAllCouponsRequest';
import UpdateMaturityDateRequest from '../../../src/port/in/request/bond/UpdateMaturityDateRequest';
import { Coupon } from '../../../src/domain/context/bond/Coupon';
import { RedeemAtMaturityByPartitionCommand } from '../../../src/app/usecase/command/bond/redeemAtMaturityByPartition/RedeemAtMaturityByPartitionCommand';
import RedeemAtMaturityByPartitionRequest from '../../../src/port/in/request/bond/RedeemAtMaturityByPartitionRequest';
import { FullRedeemAtMaturityCommand } from '../../../src/app/usecase/command/bond/fullRedeemAtMaturity/FullRedeemAtMaturityCommand';
import FullRedeemAtMaturityRequest from '../../../src/port/in/request/bond/FullRedeemAtMaturityRequest';
import { GetCouponHoldersQuery } from '../../../src/app/usecase/query/bond/coupons/getCouponHolders/GetCouponHoldersQuery';
import { GetTotalCouponHoldersQuery } from '../../../src/app/usecase/query/bond/coupons/getTotalCouponHolders/GetTotalCouponHoldersQuery';
import GetCouponHoldersRequest from '../../../src/port/in/request/bond/GetCouponHoldersRequest';
import GetTotalCouponHoldersRequest from '../../../src/port/in/request/bond/GetTotalCouponHoldersRequest';
import { CreateTrexSuiteBondCommand } from '../../../src/app/usecase/command/bond/createTrexSuite/CreateTrexSuiteBondCommand';
import { CreateTrexSuiteBondRequest, GetProceedRecipientsCountRequest, GetProceedRecipientsRequest, GetProceedRecipientDataRequest, IsProceedRecipientRequest } from '../../../src';
import AddProceedRecipientRequest from '../../../src/port/in/request/bond/AddProceedRecipientRequest';
import RemoveProceedRecipientRequest from '../../../src/port/in/request/bond/RemoveProceedRecipientRequest';
import UpdateProceedRecipientDataRequest from '../../../src/port/in/request/bond/UpdateProceedRecipientDataRequest';
export declare const SetCouponCommandFixture: import("efate").default<SetCouponCommand>;
export declare const CreateBondCommandFixture: import("efate").default<CreateBondCommand>;
export declare const CreateTrexSuiteBondCommandFixture: import("efate").default<CreateTrexSuiteBondCommand>;
export declare const UpdateMaturityDateCommandFixture: import("efate").default<UpdateMaturityDateCommand>;
export declare const RedeemAtMaturityByPartitionCommandFixture: import("efate").default<RedeemAtMaturityByPartitionCommand>;
export declare const FullRedeemAtMaturityCommandFixture: import("efate").default<FullRedeemAtMaturityCommand>;
export declare const BondDetailsFixture: import("efate").default<BondDetails>;
export declare const GetCouponQueryFixture: import("efate").default<GetCouponQuery>;
export declare const GetCouponCountQueryFixture: import("efate").default<GetCouponCountQuery>;
export declare const GetCouponForQueryFixture: import("efate").default<GetCouponForQuery>;
export declare const GetCouponAmountForQueryFixture: import("efate").default<GetCouponAmountForQuery>;
export declare const GetPrincipalForQueryFixture: import("efate").default<GetPrincipalForQuery>;
export declare const GetBondDetailsQueryFixture: import("efate").default<GetBondDetailsQuery>;
export declare const GetCouponHoldersQueryFixture: import("efate").default<GetCouponHoldersQuery>;
export declare const GetTotalCouponHoldersQueryFixture: import("efate").default<GetTotalCouponHoldersQuery>;
export declare const CouponFixture: import("efate").default<Coupon>;
export declare const GetCouponHoldersRequestFixture: import("efate").default<GetCouponHoldersRequest>;
export declare const GetTotalCouponHoldersRequestFixture: import("efate").default<GetTotalCouponHoldersRequest>;
export declare const CreateBondRequestFixture: import("efate").default<CreateBondRequest>;
export declare const GetBondDetailsRequestFixture: import("efate").default<GetBondDetailsRequest>;
export declare const SetCouponRequestFixture: import("efate").default<SetCouponRequest>;
export declare const GetCouponForRequestFixture: import("efate").default<GetCouponForRequest>;
export declare const GetPrincipalForRequestFixture: import("efate").default<GetPrincipalForRequest>;
export declare const GetCouponRequestFixture: import("efate").default<GetCouponRequest>;
export declare const GetAllCouponsRequestFixture: import("efate").default<GetAllCouponsRequest>;
export declare const UpdateMaturityDateRequestFixture: import("efate").default<UpdateMaturityDateRequest>;
export declare const RedeemAtMaturityByPartitionRequestFixture: import("efate").default<RedeemAtMaturityByPartitionRequest>;
export declare const FullRedeemAtMaturityRequestFixture: import("efate").default<FullRedeemAtMaturityRequest>;
export declare const CreateTrexSuiteBondRequestFixture: import("efate").default<CreateTrexSuiteBondRequest>;
export declare const AddProceedRecipientRequestFixture: import("efate").default<AddProceedRecipientRequest>;
export declare const UpdateProceedRecipientDataRequestFixture: import("efate").default<UpdateProceedRecipientDataRequest>;
export declare const RemoveProceedRecipientRequestFixture: import("efate").default<RemoveProceedRecipientRequest>;
export declare const IsProceedRecipientRequestFixture: import("efate").default<IsProceedRecipientRequest>;
export declare const GetProceedRecipientsRequestFixture: import("efate").default<GetProceedRecipientsRequest>;
export declare const GetProceedRecipientsCountRequestFixture: import("efate").default<GetProceedRecipientsCountRequest>;
export declare const GetProceedRecipientDataRequestFixture: import("efate").default<GetProceedRecipientDataRequest>;
